<form autocomplete="off" #addCourseModal="ngForm" (ngSubmit)="save()">
        <h1 mat-dialog-title>{{ "AddCourse" | localize }}</h1>
        <mat-dialog-content>
              <div class="row-fluid">
                <div class="col-md-12">
                  <mat-form-field>
                    <mat-select [(ngModel)]="selectedCourse" name="selectedCourse">
                      <mat-option *ngFor="let course of courses" [value]="course.id">
                        {{ course.title }}
                      </mat-option>  
                    </mat-select>
                  </mat-form-field>
                </div>
              </div>
        </mat-dialog-content>
        <div mat-dialog-actions align="end">
          <button mat-button type="button" [disabled]="saving" (click)="close(false)">
            {{ "Cancel" | localize }}
          </button>
          <button
            mat-flat-button
            type="submit"
            flex="15"
            color="primary"
            [disabled]="!addCourseModal.form.valid || saving"
          >
            {{ "Save" | localize }}
          </button>
        </div>
      </form>
      